#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPhaseResultType {
    Automatic = 1,
    Blank = 2,
    API = 3,
}

impl EPhaseResultType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Automatic as i32 => Some(Self::Automatic),
            x if x == Self::Blank as i32 => Some(Self::Blank),
            x if x == Self::API as i32 => Some(Self::API),
            _ => None,
        }
    }
}
